# rlog::ErrorData Struct Reference

Internal RLog structure - holds internal data for rlog::Error. More...

`#include <rlog/Error.h>`

List of all members.

## Public Attributes

int | usageCount
| for reference counting
string | component
| component where error occured
string | file
| file where error occured
string | function
| function name where error occured
int | line
| line number where error occured
string | msg
| condition string (in case of rAssert) at error location

## Detailed Description

Internal RLog structure - holds internal data for rlog::Error.

The documentation for this struct was generated from the following file:

- Error.cpp